Summary: kinput2 - Japanese input server for X11
Name: kinput2
Version: v2fix4_beta2
Release: 1
Group: Extensions/Japanese
Source: ftp.sra.co.jp:/pub/x11/kinput2/kinput2-v2-fix4-beta2.tar.gz
Patch: localhost:/kinput2.redhat.patch
Patch1: localhost:/kinput2.copyright
Patch2: localhost:/kinput2.ppc.patch
Copyright: distributable
Packager: Takayuki YAMAGUCHI <amcmbkcf@flanker.q.t.u-tokyo.ac.jp>
BuildRoot: /tmp/rpm.temp/kinput2

%changelog
* Wed Sep 3 1997 Takayuki YAMAGUCHI <amcmbkcf@flanker.q.t.u-tokyo.ac.jp>
- 1st Release

%description
Kinput2 is an input server for X11 applications that want Japanese
text input.

A client that wants kana-kanji conversion service for Japanese text
sends a request to kinput2.  Kinput2 receives the request, does
kana-kanji conversion, and sends the converted text back to the
client.

%package canna
Summary: kinput2 with Canna.
Group: Extensions/Japanese
Requires: kinput2

%description canna
Kinput2 is an input server for X11 applications that want Japanese
text input.

A client that wants kana-kanji conversion service for Japanese text
sends a request to kinput2.  Kinput2 receives the request, does
kana-kanji conversion, and sends the converted text back to the
client.

This package works with Canna.

%package wnn
Summary: kinput2 with Wnn.
Group: Extensions/Japanese
Requires: kinput2

%description wnn
Kinput2 is an input server for X11 applications that want Japanese
text input.

A client that wants kana-kanji conversion service for Japanese text
sends a request to kinput2.  Kinput2 receives the request, does
kana-kanji conversion, and sends the converted text back to the
client.

This package works with Wnn.

%package canna-wnn
Summary: kinput2 with Canna and Wnn.
Group: Extensions/Japanese
Requires: kinput2

%description canna-wnn
Kinput2 is an input server for X11 applications that want Japanese
text input.

A client that wants kana-kanji conversion service for Japanese text
sends a request to kinput2.  Kinput2 receives the request, does
kana-kanji conversion, and sends the converted text back to the
client.

This package works with Canna and Wnn.

%prep
%setup -c -n kinput2
%patch -p1

%ifarch ppc
%patch2 -p1
%endif

cp $RPM_SOURCE_DIR/kinput2.copyright Copyright

find . -name '*.orig' -exec rm -f {} \;

rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/X11R6
if [ -d /usr/X11R6.1 ];then
	ln -sf $RPM_BUILD_ROOT/usr/X11R6 $RPM_BUILD_ROOT/usr/X11R6.1
fi
if [ -d /usr/X11R6.3 ];then
	ln -sf $RPM_BUILD_ROOT/usr/X11R6 $RPM_BUILD_ROOT/usr/X11R6.3
fi

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ccdef
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1


%build
rm -f Kinput2.conf
ln -sf Kinput2.conf.canna Kinput2.conf
xmkmf -a
make Makefiles
make
mv cmd/kinput2 kinput2.canna; strip kinput2.canna
make clean

ln -sf Kinput2.conf.wnn Kinput2.conf
xmkmf -a
make Makefiles
make depend
make
mv cmd/kinput2 kinput2.wnn; strip kinput2.wnn
make clean

ln -sf Kinput2.conf.canna-wnn Kinput2.conf
xmkmf -a
make Makefiles
make depend
make
mv cmd/kinput2 kinput2.canna-wnn; strip kinput2.canna-wnn

%install
install -c -m 0755 kinput2.canna     $RPM_BUILD_ROOT/usr/X11R6/bin
install -c -m 0755 kinput2.wnn       $RPM_BUILD_ROOT/usr/X11R6/bin
install -c -m 0755 kinput2.canna-wnn $RPM_BUILD_ROOT/usr/X11R6/bin
install -c -m 0444 cmd/Kinput2.ad    $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Kinput2

install -c -m 0444 ccdef/ccdef.kinput2     $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/ccdef.kinput2.egg $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/rule.eggfunc      $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/rule.func         $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/rule.greek        $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/rule.hiragana.egg $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/rule.kana         $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/rule.kana2        $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/rule.katakana.egg $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/rule.kigou.egg    $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/rule.roma         $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/rule.wnnroma      $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/rule.zascii       $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ccdef
make install.man DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post canna
cd /usr/X11R6/bin
ln -sf kinput2.canna kinput2

%post wnn
cd /usr/X11R6/bin
ln -sf kinput2.wnn kinput2

%post canna-wnn
cd /usr/X11R6/bin
ln -sf kinput2.canna-wnn kinput2

%files
/usr/X11R6/lib/X11/ccdef
/usr/X11R6/lib/X11/app-defaults/Kinput2
/usr/X11R6/man/man1/kinput2.1x

%doc README doc/* Copyright 

%files canna
/usr/X11R6/bin/kinput2.canna

%files wnn
/usr/X11R6/bin/kinput2.wnn

%files canna-wnn
/usr/X11R6/bin/kinput2.canna-wnn
